## sphinx-toolbox 3.8.0

=== doc-source/requirements.txt ===
git+https://github.com/sphinx-toolbox/email@translator
default-values>=0.6.0
domdf-sphinx-theme>=0.3.0
extras-require>=0.5.0
flake8-dunder-all>=0.0.4
html-section>=0.3.0
pygments<=2.13.0,>=2.7.4
pytest>=6.0.0
pytest-regressions>=2.0.2
seed-intersphinx-mapping>=1.2.2
sphinx-autofixture>=0.2.1
sphinx-copybutton>=0.2.12
sphinx-debuginfo>=0.2.2
sphinx-licenseinfo>=0.3.1
sphinx-notfound-page>=0.7.1
sphinx-pyproject>=0.1.0
sphinxcontrib-applehelp==1.0.4
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-htmlhelp==2.0.1
sphinxcontrib-httpdomain>=1.7.0
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.5
sphinxemoji>=0.1.6
toctree-plus>=0.6.1

=== debian/changelog ===
sphinx-toolbox (3.8.0-1) unstable; urgency=medium

  * [55b1fa7] New upstream version 3.8.0
    (Closes: #1081111)
  * [61ec7d1] Initial Debianization
  * [dd39002] Rebuild patch queue from patch-queue branch
    Added patch:
    tests-Avoid-pprint36-and-use-pprint-instead.patch

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Sun, 08 Sep 2024 12:00:52 +0530

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export PYBUILD_NAME=sphinx_toolbox
export PYBUILD_TEST_ARGS=\
 --ignore=tests/test_issues_output/test_source_output.py \
 --ignore=tests/test_output/test_output.py \
 --ignore=tests/test_more_autodoc/test_autodoc_typehints.py \
 -W "ignore:Module already imported:pytest.PytestWarning" \
 -k 'not test_visit_issue_node'
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .mypy_cache .pytest_cache

## sphinx-toolbox 3.8.2

=== debian/changelog ===
sphinx-toolbox (3.8.2-1) unstable; urgency=medium

  * [200a5b3] New upstream version 3.8.2
  * [e26f5b8] d/rules: Skip additional failing tests
  * [f4e13f0] d/tests: Update upstream-tests to skip failing tests

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Wed, 12 Feb 2025 00:51:07 +0530

=== debian/control ===
Source: sphinx-toolbox
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Kathara Sasikumar <katharasasikumar007@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
Build-Depends-Indep:
 pybuild-plugin-pyproject,
 python3-apeye <!nocheck>,
 python3-autodocsumm <!nocheck>,
 python3-bs4 <!nocheck>,
 python3-cachecontrol <!nocheck>,
 python3-coincidence <!nocheck>,
 python3-css-parser <!nocheck>,
 python3-dict2css <!nocheck>,
 python3-filelock <!nocheck>,
 python3-html5lib <!nocheck>,
 python3-hypothesis <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-httpserver <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-sphinx-autodoc-typehints <!nocheck>,
 python3-sphinx-prompt <!nocheck>,
 python3-sphinx-tabs <!nocheck>,
 python3-sphobjinv <!nocheck>,
 python3-whey,
Standards-Version: 4.7.0
Homepage: https://github.com/sphinx-toolbox/sphinx-toolbox
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-toolbox
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-toolbox.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-sphinx-toolbox
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Box of handy tools for Sphinx (Python 3)
 Sphinx-Toolbox is a collection of extensions that improve Sphinx's
 features, making it easier to organize and present Python projects.
 .
 This package installs the library for Python 3.

## sphinx-toolbox 3.9.0

=== requirements.txt ===
# sphinx-tabs is capped to avoid breakage if they update their js code, which we patch
# sphinx-tabs<3.5.0,>=1.2.1
apeye>=0.4.0
autodocsumm>=0.2.0
beautifulsoup4>=4.9.1
cachecontrol[filecache]>=0.13.0
dict2css>=0.2.3
docutils>=0.16
domdf-python-tools>=2.9.0
filelock>=3.8.0
html5lib>=1.1
ruamel.yaml>=0.16.12
sphinx>=3.2.0
sphinx-autodoc-typehints>=1.11.1
sphinx-jinja2-compat>=0.1.0
sphinx-prompt>=1.1.0
sphinx-tabs<3.4.7,>=1.2.1
tabulate>=0.8.7
typing-extensions!=3.10.0.1,>=3.7.4.3
typing-inspect>=0.6.0; python_version < "3.8"

=== debian/changelog ===
sphinx-toolbox (3.9.0-2) unstable; urgency=medium

  * Team upload.
  * [7ac8a06] Add patch to fix build with sphinx-autodoc-typehints ≥ 3.0.1.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 10 Aug 2025 10:31:21 +0300

sphinx-toolbox (3.9.0-1) unstable; urgency=medium

  * [d1b66ef] New upstream version 3.9.0

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Fri, 11 Apr 2025 18:39:02 +0530

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,12 @@
  --ignore=tests/test_output/test_output.py \
  --ignore=tests/test_more_autodoc/test_autodoc_typehints.py \
  -W "ignore:Module already imported:pytest.PytestWarning" \
- -k 'not test_visit_issue_node'
+ -k 'not test_visit_issue_node \
+ and not test_latex_output \
+ and not test_output_github \
+ and not test_output_sphinx \
+'
+
 %:
 	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 python3-all,
 python3-apeye,
 python3-autodocsumm,
 python3-bs4,
 python3-cachecontrol,
 python3-coincidence,
 python3-css-parser,
 python3-dict2css,
 python3-filelock,
 python3-html5lib,
 python3-hypothesis,
 python3-pytest,
 python3-pytest-httpserver,
 python3-pytest-timeout,
 python3-sphinx-autodoc-typehints,
 python3-sphinx-prompt,
 python3-sphinx-tabs,
 python3-sphobjinv,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/sphinx-toolbox/sphinx-toolbox.git \
      refs/tags/@ANY_VERSION@

## sphinx-toolbox 4.0.0

=== doc-source/requirements.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 git+https://github.com/sphinx-toolbox/email@translator
+autodocsumm==0.2.13
 default-values>=0.6.0
 domdf-sphinx-theme>=0.3.0
 extras-require>=0.5.0

=== tests/requirements.txt ===
coincidence>=0.2.0
coverage>=5.1
coverage-pyver-pragma>=0.2.1
defusedxml>=0.7.1
flake8-dunder-all>=0.0.4
hypothesis>=5.35.4
importlib-metadata>=3.6.0
pprint36>=3.9.0.2
pygments>=2.11.0
pytest>=6.0.0
pytest-cov>=2.8.1
pytest-httpserver>=0.3.5
pytest-randomly>=3.7.0
pytest-timeout>=1.4.2
sphobjinv>=2.0.1

=== debian/changelog ===
sphinx-toolbox (4.0.0-2) unstable; urgency=medium

  * Team upload.
  * [eb8bbed] d/rules: Ignore PendingDeprecationwarning in the tests
  * [10ef6a2] autopkgtest: Ignore PendingDeprecationWarning here too

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 13 Oct 2025 17:54:04 +0200

sphinx-toolbox (4.0.0-1) unstable; urgency=medium

  * Team upload.
  * [c2ebbe6] d/watch: Convert to version 5
  * [577c037] New upstream version 4.0.0
  * [f2e85fb] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [97c2064] d/control: Bump Standars-Versions to 4.7.2
    No further modifications needed.
  * [6f5ff37] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 12 Oct 2025 18:59:09 +0200

=== debian/control ===
--- 
+++ 
@@ -28,12 +28,11 @@
  python3-sphinx-tabs <!nocheck>,
  python3-sphobjinv <!nocheck>,
  python3-whey,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/sphinx-toolbox/sphinx-toolbox
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-toolbox
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-toolbox.git
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-sphinx-toolbox
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
  --ignore=tests/test_output/test_output.py \
  --ignore=tests/test_more_autodoc/test_autodoc_typehints.py \
  -W "ignore:Module already imported:pytest.PytestWarning" \
+ -W "ignore::PendingDeprecationWarning" \
  -k 'not test_visit_issue_node \
  and not test_latex_output \
  and not test_output_github \

=== debian/watch ===
Version: 5

Source: https://github.com/sphinx-toolbox/sphinx-toolbox.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/
Mode: git
Pgpmode: none

## sphinx-toolbox 4.1.0

=== requirements.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
 domdf-python-tools>=2.9.0
 filelock>=3.8.0
 html5lib>=1.1
+roman>4.0
 ruamel.yaml>=0.16.12
 sphinx>=3.2.0
 sphinx-autodoc-typehints>=1.11.1

=== tests/requirements.txt ===
--- 
+++ 
@@ -12,4 +12,5 @@
 pytest-httpserver>=0.3.5
 pytest-randomly>=3.7.0
 pytest-timeout>=1.4.2
+setuptools<81
 sphobjinv>=2.0.1

=== debian/changelog ===
sphinx-toolbox (4.1.0-1) unstable; urgency=medium

  * Team upload.
  * [afb591e] New upstream version 4.1.0
  * [a5da214] Rebuild patch queue from patch-queue branch
    Removed patch (included upstream):
  * [01bc710] d/py3dist-overrides: Ensure html5lib is a dependency
  * [df0f18a] d/rules: Ignore Deprecationwarning in the tests
  * [0c9795c] autopkgtest: Ignore DeprecationWarning here too

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 12 Dec 2025 16:16:03 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
  --ignore=tests/test_output/test_output.py \
  --ignore=tests/test_more_autodoc/test_autodoc_typehints.py \
  -W "ignore:Module already imported:pytest.PytestWarning" \
+ -W "ignore::DeprecationWarning" \
  -W "ignore::PendingDeprecationWarning" \
  -k 'not test_visit_issue_node \
  and not test_latex_output \
